Summary: Customizable language-agnostic preprocessor
Name: general-purpose-preprocessor
Version: 2.24
Release: 7%{?dist}
License: LGPLv2+
URL: http://www.nothingisreal.com/gpp/
Source0: http://www.nothingisreal.com/gpp/gpp-%{version}.tar.bz2

%description
GPP is a general-purpose preprocessor with customizable syntax,
suitable for a wide range of preprocessing tasks. Its independence
from any one programming language makes it much more versatile than
the C preprocessor (cpp), while its syntax is lighter and more
flexible than that of GNU m4. There are built-in macros for use with
C/C++, LaTeX, HTML, XHTML, and Prolog files.

%prep
%setup -q -n gpp-%{version}

%build
%configure
make

%install
make DESTDIR=${RPM_BUILD_ROOT} install

%files
%{_bindir}/gpp
%doc ChangeLog AUTHORS BUGS COPYING NEWS README THANKS TODO
%doc %{_mandir}/man1/gpp.1.*

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.24-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.24-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.24-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.24-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Oct 22 2013 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.24-3
- Rename to general-purpose-preprocessor because of gnome printing panel

* Sat Oct 19 2013 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.24-2
- Fedora-ifification.

* Fri Dec  3 2004 Tristan Miller <psychonaut@nothingisreal.com> - 2.24-1
- Initial build.
